<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Tominaga hitosi <mail@example.com>
 * @access      public
 */
class Admin_Usermanage_Customer_Stateconfirm
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    var $c_member;
    var $session;
    var $code;
    var $mode;
    
    var $title;
    var $pagename;

    var $mcd;
    var $username;
    var $mailaddr;
    var $prefcd;
    var $sex;
    var $telno;
    var $month;
    var $birth_year1;
    var $birth_month1;
    var $birth_day1;
    var $birth_year2;
    var $birth_month2;
    var $birth_day2;
    var $add_year1;
    var $add_month1;
    var $add_day1;
    var $add_year2;
    var $add_month2;
    var $add_day2;
    var $maildiv;

    var $consumer;
    var $seller;
    var $sort;
    var $conditions;
    var $pageID;
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Usermanage_Customer_Stateconfirmが実行されました", "Admin_Usermanage_Customer_Stateconfirm#execute");
        $this->session->setParameter('code', $this->code);
        $this->session->setParameter('mode', $this->mode);
        return 'success';
    }

    function getPagetitle()
    {
        if($this->mode == "accept"){
            return '承認しますか？';
        } else {
            return '承認を却下しますか？';
        }
    }

    function getGoto()
    {
        return "dispatch_admin_usermanage_customer_statecomplete";
    }
    function getReturn()
    {
        if($this -> from == "list"){
            return "admin_usermanage_customer_customerlist";
        } else {
            return "admin_usermanage_customer_detail&membercd=" . $this -> code;
        }
    }
	function getCondictionPOST()
	{
        return  "<input type='hidden' name='mcd' value='". htmlspecialchars($this->mcd, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='username' value='". htmlspecialchars($this->username, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='mailaddr' value='". htmlspecialchars($this->mailaddr, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='prefcd' value='". htmlspecialchars($this->prefcd, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='sex[]' value='". htmlspecialchars($this->sex[0], ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='sex[]' value='". htmlspecialchars($this->sex[1], ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='telno' value='". htmlspecialchars($this->telno, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='month' value='". htmlspecialchars($this->month, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='birth_year1' value='". htmlspecialchars($this->birth_year1, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='birth_month1' value='". htmlspecialchars($this->birth_month1, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='birth_day1' value='". htmlspecialchars($this->birth_day1, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='birth_year2' value='". htmlspecialchars($this->birth_year2, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='birth_month2' value='". htmlspecialchars($this->birth_month2, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='birth_day2' value='". htmlspecialchars($this->birth_day2, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='add_year1' value='". htmlspecialchars($this->add_year1, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='add_month1' value='". htmlspecialchars($this->add_month1, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='add_day1' value='". htmlspecialchars($this->add_day1, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='add_year2' value='". htmlspecialchars($this->add_year2, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='add_month2' value='". htmlspecialchars($this->add_month2, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='add_day2' value='". htmlspecialchars($this->add_day2, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='maildiv' value='". htmlspecialchars($this->maildiv, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='consumer' value='". htmlspecialchars($this->consumer, ENT_QUOTES) ."'>"
	            ."<input type='hidden' name='seller' value='". htmlspecialchars($this->seller, ENT_QUOTES) ."'>"
                ."<input type='hidden' name='pageID' value='". htmlspecialchars($this->pageID, ENT_QUOTES) ."'>"
                ."<input type='hidden' name='sort' value='". htmlspecialchars($this->sort, ENT_QUOTES) ."'>";
	}
	function getCondictionGET()
	{
	    return  "mcd=". urlencode($this->mcd)
               ."&username=". urlencode($this->username)
               ."&mailaddr=". urlencode($this->mailaddr)
               ."&prefcd=". urlencode($this->prefcd)
               ."&sex[]=". urlencode($this->sex[0])
               ."&sex[]=". urlencode($this->sex[1])
               ."&telno=". urlencode($this->telno)
               ."&month=". urlencode($this->month)
               ."&birth_year1=". urlencode($this->birth_year1)
               ."&birth_month1=". urlencode($this->birth_year1)
               ."&birth_day1=". urlencode($this->birth_year1)
               ."&birth_year2=". urlencode($this->birth_year2)
               ."&birth_month2=". urlencode($this->birth_month2)
               ."&birth_day2=". urlencode($this->birth_day2)
               ."&add_year1=". urlencode($this->add_year1)
               ."&add_month1=". urlencode($this->add_year1)
               ."&add_day1=". urlencode($this->add_year1)
               ."&add_year2=". urlencode($this->add_year2)
               ."&add_month2=". urlencode($this->add_month2)
               ."&add_day2=". urlencode($this->add_day2)
               ."&maildiv=". urlencode($this->maildiv)
               ."&consumer=". urlencode($this->consumer)
               ."&seller=". urlencode($this->seller)
               ."&pageID=". urlencode($this->pageID)
               ."&sort=". urlencode($this->sort);
	}

}
?>